#! /usr/bin/python
# coding: utf-8
import sys
import requests
from datetime import datetime


def main():
    import argparse
    parser = argparse.ArgumentParser(description='Get forecast for city.')
    parser.add_argument('-c', '--city', type=str,
                        required=True,
                        help='City name')
    parser.add_argument('-o', '--output', type=argparse.FileType('w'),
                        required=False, default=sys.stdout,
                        help='Output')

    args = parser.parse_args()

    url = "http://api.openweathermap.org/data/2.5/weather"

    params = {'q': '{}'.format(args.city),
              'APPID': '9edd6639ac418ac7e04b9fb9c7d19ffb',
              'units': 'metric',
              'lang': 'cz'}

    r = requests.get(url=url, params=params)
    data = r.json()

    sunset = datetime.utcfromtimestamp(int(data['sys']['sunset'])).strftime('%H:%M:%S')

    output = 'Ve městě {} je {} a {} stupňů. '.format(data['name'], data['weather'][0]['description'].encode('utf-8'), data['main']['temp'])
    output += 'Vlhkost ovzduší je {} procent. '.format(data['main']['humidity'])
    output += 'Rychlost větru je {} kilometrů za hodinu. '.format(data['wind']['speed'])
    output += 'Slunce dnes zapadá v {}. '.format(sunset)

    args.output.write(output)


if __name__ == "__main__":
    main()
